@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: "Source Code Pro", monospace;
  font-optical-sizing: auto;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
}

body {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}

hr {
  margin: 1.5rem auto 0.4rem auto;
  border: 1px solid;
}

p,
a {
  text-decoration: none;
}

button {
  background: transparent;
  border: none;
  font-size: 1.5rem;
  font-weight: 700;
}

button:focus {
  border: none;
}

section {
  font-size: large;
}

.content {
  margin: 4rem auto auto auto;
  display: block;
  max-width: 800px;
}

.container {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.container a {
  font-size: 2rem;
  border: 1px solid;
  border-radius: 15%;
}

.avatar {
  text-align: center;
  border: 2px solid;
  border-radius: 50%;
  width: 13rem;
  height: 13rem;
}

.avatar img {
  width: 95%;
  margin: auto;
  margin-top: 6px;
}

.paragraph {
  line-height: 1.5;
}

.timeline {
  position: relative;
  width: 100%;
  padding-left: 2rem;
  border-left: 2px solid;
}

.timeline-step {
  position: relative;
  margin-bottom: 2rem;
}

.dot {
  position: absolute;
  left: -2.55rem;
  top: 0.8rem;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  border: 1px solid;
}

.timeline-step .dates {
  font-size: 1rem;
  font-weight: 700;
}

.card {
  border: 1px solid #dbdbdb;
  padding: 1rem;
  border-radius: 10px;
  font-size: medium;
}

.card>a {
  font-size: 2rem;
}

.card p {
  font-weight: 500;
  font-size: 1.1rem;
}

.card-frame {
  width: 100%;
  max-height: 250px;
  margin-bottom: 0.4rem;
}

.card-img {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 0.4rem;
}

.card-img img {
  max-height: 150px;
  margin: auto;
}

.card-info {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 0.4rem;
}

.pill-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 0.4rem;
  justify-content: flex-start;
  align-items: center;
}

.pill {
  border: 1px solid;
  display: inline-block;
  padding: 2px 10px;
  border-radius: 20px;
  font-size: small;
  text-decoration: none;
  font-weight: 500;
}

footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2rem;
  margin: auto;
  max-width: 900px;
}

.separator {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 115%;
}

.separator-icon {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 2rem;
}

.separator-icon .line {
  flex: 1;
  padding: 1px;
  height: 1px;
  width: 100%;
}

.separator-icon i {
  font-size: 2rem;
  margin: 3rem;
  margin-top: -1rem;
}

.footer-content {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.footer-credits {
  width: 100%;
}

.footer-themes {
  display: flex;
  flex-direction: row;
  gap: 0.4rem;
}

a.credits {
  text-decoration: underline;
}

@media screen and (max-width:850px) {
  .content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1rem;
  }

  .container>div>div {
    justify-content: center;
    align-items: center;
    display: flex;
    gap: 0.4rem;
  }

  .container>div {
    text-align: center;
  }
}

@media screen and (max-width: 700px) {
  .container {
    margin: auto;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
  }

  a.credits {
    font-size: 0.9rem;
  }
}
